import request from '@/utils/request'

// 查询直播视频文件列表
export function listImLiveVideoFile(query) {
  return request({
    url: '/service/imLiveVideoFile/list',
    method: 'get',
    params: query
  })
}

// 查询直播视频文件详细
export function getImLiveVideoFile(id) {
  return request({
    url: '/service/imLiveVideoFile/' + id,
    method: 'get'
  })
}

// 新增直播视频文件
export function addImLiveVideoFile(data) {
  return request({
    url: '/service/imLiveVideoFile',
    method: 'post',
    data: data
  })
}

// 修改直播视频文件
export function updateImLiveVideoFile(data) {
  return request({
    url: '/service/imLiveVideoFile',
    method: 'put',
    data: data
  })
}

// 删除直播视频文件
export function delImLiveVideoFile(id) {
  return request({
    url: '/service/imLiveVideoFile/' + id,
    method: 'delete'
  })
}
